Package org.apache.solr.client.solrj.io.eval

## Class DbscanEvaluator.ClusterTuple

- java.lang.Object
- - org.apache.solr.client.solrj.io.Tuple
  - - org.apache.solr.client.solrj.io.eval.DbscanEvaluator.ClusterTuple

All Implemented Interfaces:
  `Cloneable`, `MapSerializable`, `MapWriter`, `NavigableObject`

Enclosing class:
  DbscanEvaluator

    public static class DbscanEvaluator.ClusterTuple
    extends Tuple

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.io.Tuple

`EOF, EXCEPTION, fieldLabels, fieldNames, fields`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`ClusterTuple​(Map<String,​Object> fields, List<org.apache.commons.math3.ml.clustering.Cluster<DbscanEvaluator.ClusterPoint>> clusters, List<String> columnLabels)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<org.apache.commons.math3.ml.clustering.Cluster<DbscanEvaluator.ClusterPoint>>` `getClusters()`
`List<String>` `getColumnLabels()`

### Methods inherited from class org.apache.solr.client.solrj.io.Tuple

`clone, EOF, EXCEPTION, EXCEPTION, get, getBool, getBools, getDate, getDates, getDouble, getDoubles, getException, getFieldLabels, getFieldNames, getFields, getLong, getLongs, getMap, getMaps, getMetrics, getString, getStrings, merge, put, putAll, remove, setFieldLabels, setFieldNames, setMaps, setMetrics, writeMap`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Constructor Detail

#### ClusterTuple

    public ClusterTuple​(Map<String,​Object> fields,
                        List<org.apache.commons.math3.ml.clustering.Cluster<DbscanEvaluator.ClusterPoint>> clusters,
                        List<String> columnLabels)

### Method Detail

#### getColumnLabels

    public List<String> getColumnLabels()

#### getClusters

    public List<org.apache.commons.math3.ml.clustering.Cluster<DbscanEvaluator.ClusterPoint>> getClusters()